/*
  This file is part of GSEGrafix, a scientific and engineering plotting 
  program.

  Copyright (C) 2017 John Darrington

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#include <glib.h>

struct gse_ctx;
struct datum;
/* DrawLines.c */
void     DrawLinesPolar (struct gse_ctx *context, int npts,
			 const struct datum *data,
			 double xorigin, double yorigin,
                          double rmin, double rmax, double rscale,
                          guint32 color, unsigned int line_width, char *line_type );

void     DrawLines3d (struct gse_ctx *context, int npts,
		      const struct datum *data,
		      double *origin, double *Ryz,
                       double xmin, double xmax, double ymin, double ymax, double zmin, double zmax,
                       double xscale, double yscale, double zscale, guint32 color,
                       unsigned int line_width, char *line_type );
